# Generated by Django 4.0.4 on 2022-09-26 14:23

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('backend', '0017_criterion_specificity'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeojsonLayer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=75, null=True)),
                ('geom', django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326)),
                ('visibility', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='MapLayer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=75, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('category', models.CharField(choices=[('drastic', 'drastic'), ('pressure', 'pressure'), ('info', 'info')], max_length=32)),
                ('type', models.CharField(choices=[('wfs', 'wfs'), ('wms', 'wms'), ('geojson', 'geojson'), ('raster', 'raster')], max_length=32)),
                ('visibility', models.BooleanField(default=True)),
                ('geojson', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='backend.geojsonlayer')),
                ('wfs', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='backend.wfslayer')),
                ('wms', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='backend.wmslayer')),
            ],
        ),
    ]
